Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet.jsp
Class JspWriter

    java.lang.Object
      |
      +--java.io.Writer
            |
            +--javax.servlet.jsp.JspWriter

Direct Known Subclasses:
  BodyContent

public abstract class JspWriter
extends java.io.Writer

Field Summary
`protected boolean` | `autoFlush`
`protected int` | `bufferSize`
`static int` | `DEFAULT_BUFFER`
`static int` | `NO_BUFFER`
`static int` | `UNBOUNDED_BUFFER`

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`protected` | `JspWriter(int bufferSize, boolean autoFlush)`

Method Summary
`abstract void` | `clear()`
`abstract void` | `clearBuffer()`
`abstract void` | `flush()`
`int` | `getBufferSize()`
`abstract int` | `getRemaining()`
`boolean` | `isAutoFlush()`
`abstract void` | `newLine()`
`abstract void` | `print(boolean b)`
`abstract void` | `print(char c)`
`abstract void` | `print(char[] s)`
`abstract void` | `print(double d)`
`abstract void` | `print(float f)`
`abstract void` | `print(int i)`
`abstract void` | `print(long l)`
`abstract void` | `print(java.lang.Object o)`
`abstract void` | `print(java.lang.String s)`
`abstract void` | `println()`
`abstract void` | `println(boolean b)`
`abstract void` | `println(char c)`
`abstract void` | `println(char[] s)`
`abstract void` | `println(double d)`
`abstract void` | `println(float f)`
`abstract void` | `println(int i)`
`abstract void` | `println(long l)`
`abstract void` | `println(java.lang.Object o)`
`abstract void` | `println(java.lang.String s)`

Methods inherited from class java.io.Writer
`close, write, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### bufferSize

    protected int bufferSize

### autoFlush

    protected boolean autoFlush

### DEFAULT_BUFFER

    public static int DEFAULT_BUFFER

### NO_BUFFER

    public static int NO_BUFFER

### UNBOUNDED_BUFFER

    public static int UNBOUNDED_BUFFER

Constructor Detail

### JspWriter

    protected JspWriter(int bufferSize,
                        boolean autoFlush)

Method Detail

### print

    public abstract void print(boolean b)
                        throws java.io.IOException

### print

    public abstract void print(char c)
                        throws java.io.IOException

### print

    public abstract void print(int i)
                        throws java.io.IOException

### print

    public abstract void print(long l)
                        throws java.io.IOException

### print

    public abstract void print(float f)
                        throws java.io.IOException

### print

    public abstract void print(double d)
                        throws java.io.IOException

### print

    public abstract void print(char[] s)
                        throws java.io.IOException

### print

    public abstract void print(java.lang.String s)
                        throws java.io.IOException

### print

    public abstract void print(java.lang.Object o)
                        throws java.io.IOException

### newLine

    public abstract void newLine()
                          throws java.io.IOException

### println

    public abstract void println()
                          throws java.io.IOException

### println

    public abstract void println(boolean b)
                          throws java.io.IOException

### println

    public abstract void println(char c)
                          throws java.io.IOException

### println

    public abstract void println(int i)
                          throws java.io.IOException

### println

    public abstract void println(long l)
                          throws java.io.IOException

### println

    public abstract void println(float f)
                          throws java.io.IOException

### println

    public abstract void println(double d)
                          throws java.io.IOException

### println

    public abstract void println(char[] s)
                          throws java.io.IOException

### println

    public abstract void println(java.lang.String s)
                          throws java.io.IOException

### println

    public abstract void println(java.lang.Object o)
                          throws java.io.IOException

### clear

    public abstract void clear()
                        throws java.io.IOException

### clearBuffer

    public abstract void clearBuffer()
                              throws java.io.IOException

### flush

    public abstract void flush()
                        throws java.io.IOException

  Overrides:
    `flush` in class `java.io.Writer`

### getBufferSize

    public int getBufferSize()

### getRemaining

    public abstract int getRemaining()

### isAutoFlush

    public boolean isAutoFlush()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD